﻿namespace BookCatalog.Models
{
    using System;
    using System.Collections.Generic;

    public class BookDetails
    {
        public int Id { get; set; }

        public string Title { get; set; }

        public string Author { get; set; }

        public int LanguageId { get; set; }

        public int? PublisherId { get; set; }

        public DateTime PublishedAt { get; set; }

        public string Url { get; set; }

        public string Description { get; set; }

        public int? Rating { get; set; }

        /// <summary>Gets or sets a value indicating whether 
        /// the book is free (true) or not (false).</summary>
        public bool IsFree { get; set; }

        /// <summary>Gets or sets a value indicating whether 
        /// the book is visible in the catalog (true) or not (false).</summary>
        public bool IsVisible { get; set; }

        public virtual ICollection<Tag> Tags { get; set; }

        public virtual Language Language { get; set; }

        public virtual Publisher Publisher { get; set; }
    }
}